import os
import datetime as dt
import random

ARQ = 'dados.txt'

def grava_dados(arq_path,\
                nome, placar, max_placar,\
                data_hora):
    try:
        f_arq = open(arq_path, 'wt')
        f_arq.write(nome + '\n')
        f_arq.write(str(placar) + '\n')
        f_arq.write(str(max_placar) + '\n')
        f_arq.write(data_hora + '\n')
        f_arq.close()
    except:
        print('Arquivo invalido: ' + arq_path)

def le_dados(arq_path):
    try:
        f_arq = open(arq_path, 'rt')
        nome = f_arq.readline()
        nome = nome.strip()
        placar = f_arq.readline()
        max_placar = f_arq.readline()
        data_hora = f_arq.readline()
        f_arq.close()
        return nome, int(placar),\
            int(max_placar),\
            data_hora
    except:
        print('Arquivo invalido: ' + arq_path)
        return '', 0, 0, None
    
# muda o diretorio para o mesmo do programa
py_path = os.path.dirname(
    os.path.abspath(__file__))
os.chdir(py_path)
# qual o diretorio corrente e mostra
py_path = os.getcwd()
print('Diretorio corrente: ' + py_path)

data_hora = dt.datetime.now()
str_data_hora = data_hora.strftime(
    '%Y/%m/%d %H:%M:%S')
print(str_data_hora)

arq_path = py_path + '/' + ARQ
# se o arquivo nao existe, crio
if os.access(arq_path, os.F_OK) is False:
    grava_dados(arq_path,
        'MARIA', 10, 50, str_data_hora)
    
# arquivo ja existe, entao abro para leitura
nome, placar,\
    max_placar, data_hora = le_dados(arq_path)

placar = random.randint(1,100)
print(placar)
if placar > max_placar:
    max_placar = placar
    
grava_dados(arq_path,
    nome, placar, max_placar, str_data_hora)


