
# modulo 01, ex 05
import math

def bhaskara(a, b, c):
    x1 = None
    x2 = None

    if a != 0:
        delta = math.pow(b,2) - 4*a*c
        if delta < 0:
            print('equacao nao tem raizes reais')
        else:
            x1 = (-b + math.sqrt(delta))/(2*a)
            x2 = (-b - math.sqrt(delta))/(2*a)
    else:
        print('coeficiente a tem que ser '+\
            'diferente de zero')

    return x1, x2

# ax2 + bx + c
coefs = [[1,-5,6],
        [1,0,-9],
        [5,-45,0],
        [1,-1,-12],
        [1,-6,10],
        [0,1,2]]

for a,b,c in coefs:
    print('a=' + str(a) + ', '+\
        'b=' + str(b) + ', '+\
        'c=' + str(c))
    x1, x2 = bhaskara(a, b, c)
    if x1 is not None:
        print('raizes ' + str(x1) + ', ' +\
            str(x2))


