import copy

## atribuicao
src = [[1,2,3], ['a','b','c']]
dst = src
print(src)
print(dst)

src[0] = [4,5,6]
print(src)
print(dst)

## shallow copy
src = [[1,2,3], ['a','b','c']]
dst = copy.copy(src)
print(src)
print(dst)

src[0] = [4,5,6]
print(src)
print(dst)

# porem...
src[1][0] = 'd'
print(src)
print(dst)

## deep copy
src = [[1,2,3], ['a','b','c']]
dst = copy.deepcopy(src)
print(src)
print(dst)

src[0] = [4,5,6]
print(src)
print(dst)

# por outro lado
src[1][0] = 'd'
print(src)
print(dst)

