
# modulo 02, ex 01, base
import datetime as dt

class TipoMonstro():
    def __init__(self, nome, tipo, ps):
        self.nome = nome
        self.tipo = tipo
        self.ps = ps

        self.evolucao = 1
        self.ativo = True
        self.alimentos = 0
        self.data_cap = dt.datetime.today()

    def __str__(self):
        s = ''
        s += 'Nome        :%s\n' % self.nome
        s += 'Tipo        :%s\n' % self.tipo
        s += 'Ponto Saude :%d\n' % self.ps
        s += 'Evolucao    :%d\n' % self.evolucao
        s += 'Ativo       :%s\n' % self.ativo
        s += 'Alimentos   :%d\n' % self.alimentos
        s += 'Data Captura:%s\n' %\
            self.data_cap.strftime('%d/%m/%Y')
        return s

    def reviver(self):
        self.ativo = True

    def desmaiar(sef):
        self.ativo = False

    def evoluir(self):
        self.evolucao += 1

    def alimentar(self):
        self.alimentos += 1

class TipoFogo(TipoMonstro):
    def __init__(self, nome, ps, temperatura):
        TipoMonstro.__init__(self, nome, 'Fogo', ps)
        self.temperatura = temperatura

    def aumentar(self):
        self.temperatura += 1

    def incendio(self):
        print(self.nome +  ' incendio')

    def __str__(self):
        s = TipoMonstro.__str__(self)
        s += 'Temperatura :%d\n' % self.temperatura
        return s

class TipoAgua(TipoMonstro):
    def __init__(self, nome, ps, fluxo):
        TipoMonstro.__init__(self, nome, 'Agua', ps)
        self.fluxo = fluxo

    def chuva(self):
        print(self.nome + ' chuva')

    def __str__(self):
        s = TipoMonstro.__str__(self)
        s += 'Fluxo       :%d\n' % self.fluxo
        return s

tf = TipoFogo('Chama', 80, 99)
ta = TipoAgua('Gota', 50, 65)

print('*************')
print(tf)
tf.aumentar()
print(tf)
tf.incendio()

print('*************')
print(ta)
ta.alimentar()
print(ta)
ta.chuva()

